
From: NeilBrown <neilb@cse.unsw.edu.au>

Turn off rpc layer timeout replay for the NFSv4 server callback client.
Rely on manual replay in nfs4_cb_recall_done instead.

Signed-off-by: Andy Adamson <andros@citi.umich.edu>
Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4callback.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN fs/nfsd/nfs4callback.c~nfsd4-do-callback-replays-by-hand fs/nfsd/nfs4callback.c
--- 25/fs/nfsd/nfs4callback.c~nfsd4-do-callback-replays-by-hand	2005-03-07 23:55:28.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4callback.c	2005-03-07 23:55:28.000000000 -0800
@@ -401,7 +401,7 @@ nfsd4_probe_callback(struct nfs4_client 
 
 	/* Initialize timeout */
 	timeparms.to_initval = (NFSD_LEASE_TIME/4) * HZ;
-	timeparms.to_retries = 5;
+	timeparms.to_retries = 0;
 	timeparms.to_maxval = (NFSD_LEASE_TIME/2) * HZ;
 	timeparms.to_exponential = 1;
 
@@ -431,7 +431,7 @@ nfsd4_probe_callback(struct nfs4_client 
 		dprintk("NFSD: couldn't create callback client\n");
 		goto out_xprt;
 	}
-	clnt->cl_intr = 1;
+	clnt->cl_intr = 0;
 	clnt->cl_softrtry = 1;
 	clnt->cl_chatty = 1;
 
@@ -530,6 +530,7 @@ out:
 	return;
 
 retry:
+	dprintk("NFSD: nfs4_cb_recall_done RETRY\n");
 	atomic_inc(&dp->dl_recall_cnt);
 	/* sleep 2 seconds before retrying recall */
 	set_current_state(TASK_UNINTERRUPTIBLE);
_
